<?php 
use_helper('UrlFunctions');
use_helper('UtilFunctions'); 
error_reporting(E_ERROR | E_WARNING | E_PARSE);
ini_set("display_errors", 1);?>
<script>
findDocumento = function(){
 var val_dni = $("Dni").value;
 val_dni = val_dni.trim();
 if(val_dni!=""){
 	$("buscarDocumento").hide();
 	concatValueStr();
 }else{
 	alert("Debe ingresar el numero de documento");
 }
}

activarBuscarDocumento = function(){
 $("buscarDocumento").show();
 $("resultDocumento").innerHTML='';
  
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form0').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

executeFind = function(str){
  	//str = str + '&block=001';
  	url = "<?=buildUrl('cli/validarDocumentoReg', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultDocumento",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                			 $( 'loader' ).style.display = "none";
                                		}
                                	});
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	$( 'loader' ).style.display = "";
	disabledWin.show(true,true,'resultDocumento');
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if(isset($control)){
	//echo "entro";
	
  	//Buscar el Pendiente para obetner el Json
  	
  	if($tipodocumento == "DNI"){
  		
		$o_CrBusquedaFN = new CrBusquedaFN();
		
		$o_CrBusquedaFN->setTipobusqueda("RENIEC");
		$o_CrBusquedaFN->setDocumento($Dni);
		$o_CrBusquedaFN->setEstado("P");
		$a_o_CrBusquedaFN = $o_CrBusquedaFN->select();
		
		if(is_array($a_o_CrBusquedaFN) && count($a_o_CrBusquedaFN)){
			$o_CrBusquedaBN = $a_o_CrBusquedaFN[0];
			$idbusqueda = $o_CrBusquedaBN->getIdbusqueda();
			$json = $o_CrBusquedaBN->getTramaresultado();
		}
			
		$o_ClienteBean = new ClienteBean();
		$o_ClienteBean->setIdMercado($IdMercado);
		$o_ClienteBean->setIdTipoNegocio($IdTipoNegocio);
		$o_ClienteBean->setTipoDocumento($tipodocumento);
		$o_ClienteBean->setDni($Dni);
		$o_ClienteBean->setJsonReniec($idbusqueda);
		$o_ClienteBean->setFechaCaducidadDoc($fechaCaducidad);
		$o_ClienteBean->setNombres(unicodeToutf8($Nombres));
		$o_ClienteBean->setApellidoPaterno(unicodeToutf8($ApellidoPaterno));
		$o_ClienteBean->setApellidoMaterno(unicodeToutf8($ApellidoMaterno));
		$nombrecompleto = $ApellidoPaterno." ".$ApellidoMaterno.", ".$Nombres;
		$o_ClienteBean->setNombreCompleto(unicodeToutf8($nombrecompleto));
		$o_ClienteBean->setTelefono($Telefono);
		$o_ClienteBean->setDireccion($Direccion);
		$o_ClienteBean->setDireccionViviendaReal($DireccionReal);
		$o_ClienteBean->setReferenciaViviendaReal($ReferenciaDireccion);
		$o_ClienteBean->setDireccionNegocio($DireccionNegocio);
		$o_ClienteBean->setCelular($Celular);
		$o_ClienteBean->setFechaNacimiento($FechaNacimiento);
		$o_ClienteBean->setSexo($cboSexo); 
		$o_ClienteBean->setEstadoCivil($cboEstadoCivil);
		$o_ClienteBean->setEstado($cboEstado);   
		$o_ClienteBean->setFechaCreacion(date("Y-m-d H:i:s"));
		$o_ClienteBean->setOtroTipoNegocio($OtroTipoNegocio);
		$o_ClienteBean->setCorreo($Correo);
		$o_ClienteBean->setUsuarioCreacion(myUser::getUser()->getUserId());
		
		
  	}
  	if($tipodocumento == "CARNET_EXTRANJERIA"){
		$o_ClienteBean = new ClienteBean();
		$o_ClienteBean->setIdMercado($IdMercado);
		$o_ClienteBean->setIdTipoNegocio($IdTipoNegocio);
		$o_ClienteBean->setTipoDocumento($tipodocumento);
		$o_ClienteBean->setDni($Dni);
		
		
		$o_ClienteBean->setNombres($Nombres);
		$o_ClienteBean->setApellidoPaterno($ApellidoPaterno);
		$o_ClienteBean->setApellidoMaterno($ApellidoMaterno);
		$nombrecompleto = $ApellidoPaterno." ".$ApellidoMaterno.", ".$Nombres;
		$o_ClienteBean->setNombreCompleto($nombrecompleto);
		$o_ClienteBean->setTelefono($Telefono);
		$o_ClienteBean->setDireccion($Direccion);
		$o_ClienteBean->setDireccionViviendaReal($DireccionReal);
		$o_ClienteBean->setReferenciaViviendaReal($ReferenciaDireccion);
		$o_ClienteBean->setDireccionNegocio($DireccionNegocio);
		$o_ClienteBean->setCelular($Celular);
		$o_ClienteBean->setFechaNacimiento($FechaNacimiento);
		$o_ClienteBean->setSexo($cboSexo); 
		$o_ClienteBean->setEstadoCivil($cboEstadoCivil);
		$o_ClienteBean->setEstado($cboEstado);   
		$o_ClienteBean->setFechaCreacion(date("Y-m-d H:i:s"));
		$o_ClienteBean->setOtroTipoNegocio($OtroTipoNegocio);
		$o_ClienteBean->setCorreo($Correo);
		$o_ClienteBean->setUsuarioCreacion(myUser::getUser()->getUserId());
		$o_ClienteSystemClass = new ClienteSystemClass($o_ClienteBean);
  	}
  	
  	if($tipodocumento == "RUC"){
		$o_ClienteBean = new ClienteBean();
		$o_ClienteBean->setIdMercado($IdMercado);
		$o_ClienteBean->setIdTipoNegocio($IdTipoNegocio);
		$o_ClienteBean->setTipoDocumento($tipodocumento);
		$o_ClienteBean->setDni($Dni);
		$o_ClienteBean->setNombreEmpresa($NombreEmpresa);
		$o_ClienteBean->setFechaCaducidadDoc($fechaCaducidad);
		$o_ClienteBean->setNombres($Nombres);
		$o_ClienteBean->setApellidoPaterno($ApellidoPaterno);
		$o_ClienteBean->setApellidoMaterno($ApellidoMaterno);
		$nombrecompleto = $NombreEmpresa;
		$o_ClienteBean->setNombreCompleto($nombrecompleto);
		$o_ClienteBean->setTelefono($Telefono);
		$o_ClienteBean->setCelular($Celular);
		$o_ClienteBean->setCorreo($Correo);
		$o_ClienteBean->setRucEmpresa($dni);
		$o_ClienteBean->setNombresGerente($Nombres);
		$o_ClienteBean->setApellidoPaternoGerente($ApellidoPaterno);
		$o_ClienteBean->setApellidoMaternoGerente($ApellidoMaterno);
		$o_ClienteBean->setDireccionEmpresa($DireccionEmpresa);
		$o_ClienteBean->setDniGerente($Dni);
		$o_ClienteBean->setDireccion($Direccion);
		$o_ClienteBean->setDireccionViviendaReal($DireccionReal);
		$o_ClienteBean->setReferenciaViviendaReal($ReferenciaDireccion);
		$o_ClienteBean->setDireccionNegocio($DireccionNegocio);
		
		$o_ClienteBean->setRucEmpresa($Dni);
		$o_ClienteBean->setFechaNacimiento($FechaNacimiento);
		$o_ClienteBean->setSexo($cboSexo); 
		$o_ClienteBean->setEstadoCivil($cboEstadoCivil);
		$o_ClienteBean->setEstado($cboEstado);   
		$o_ClienteBean->setFechaCreacion(date("Y-m-d H:i:s"));
		$o_ClienteBean->setOtroTipoNegocio($OtroTipoNegocio);
		
		$o_ClienteBean->setUsuarioCreacion(myUser::getUser()->getUserId());
		
  	}
	
	$o_ClienteSystemClass = new ClienteSystemClass($o_ClienteBean);
	$bResult = $o_ClienteSystemClass->insertCliente($chek_documento);
	
	//print_r($o_ClienteBean);
	
	//echo $bResult."-----";
  
	if($bResult && $idbusqueda){
		$o_CrBusquedaDP = new CrBusquedaDP();
		$o_CrBusquedaDP->setIdBusqueda($idbusqueda);
		$o_CrBusquedaDP->setEstado("E"); //Ejecutado
		$o_CrBusquedaDP->setIdcliente($bResult); 
	    $o_CrBusquedaDP->update();
	}
  if($bResult){
    ?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('cli/list')?>','&block=001&insert=1&id=<?=$o_ClienteBean->getIdCliente()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }else{
    $url = buildUrl('cli/add', "block=".$block."&error=1");
  }
  exit;
}

  //Mercados
  $o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
  $a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();
  
  //Tipos de Negocio
  $o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
  $a_TipoNegocio = $o_ClienteSystemClass->getTipoNegocio();

//Cargar Documento
 $o_ClienteSystemClass = new ClienteSystemClass(new DocumentoBean());
 $a_o_Documento = $o_ClienteSystemClass->getDocumento();
 
 ?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Cliente</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha del Cliente</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
 
  <tr>
    <td valign="top">
     
      <input type="hidden" name="control" value="1">
      
        <table hspace="20px" class="marco" width="96%">
          <tr>
            <td valign="top" colspan="2">
	
              	<table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
	          		<tr>
	    				  <td height="0">
	    				  <form id="form0" name="form0" method="POST">
	    				   <div id="buscarDocumento">
	    				  	<table>
	    				  		<tr>
									<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDniCliente" >Tipo de Documento </label></td>
									<td nowrap="nowrap" width="38%"><select name="tipodocumento" id ="tipodocumento" class="combo" onchange="validardocumento()"><option value="DNI">DNI</option><option value="CARNET_EXTRANJERIA">CARNET EXTRANJERIA</option><option value="RUC">RUC</option></select>&nbsp;<input class="text validate-DNI required validate-digits " type="text" autocomplete="off" name="Dni" id="Dni" maxlength="12" size="8"/><img src="/images/common/loader.gif" id="loader" style="display:none">&nbsp;&nbsp;<input class="button" type="button" value="Buscar" onclick="findDocumento();"/></td>
									 
								   </tr>
	    				  	</table>
	    				  	</div>	
	    				  </form>
	    				  <form id="form1" name="form1" method="POST">
	    				  	<div id="resultDocumento"></div>
	    				  </form>
	      				</td>
	  		 		 </tr>
				</table>
   			 </td>
  			</tr>
		</table>
	</td>	
	</tr>
</table>	
<script type="text/javascript">
	var valid = new Validation('form1', {immediate : true});
</script>